Upgrade gitlab from 8.15 to 9.4.6

Hi,

I’d like to upgrade my gitlab server but I don’t really know in which category of upgrade i’m in. Can someone explain to me how I upgrade my server to a specific version (not the latest) ?

Thanks

Why do you want to upgrade to a version that old? And not even the newest patch release in the 9.4 series? (9.4.7 was released in october 2017).

The are plenty of threads on this forum about upgrading, but in general you should upgrade to the latest in each minor version before going to the next minor.

I wrote myself a documentation when I had to update our instance. Hopefully this helps you out (you’ll have to change the version numbers to what is appropriate for your situation - this is just so you have an idea of the steps you need to do to get to where you want).


Version Naming Convention

(Major).(Minor).(Patch) - ex.: 10.7.3 where 10 is the major version, 7 is the minor version and 3 is the patch version numbers.

Official Documentation

As mentioned in the official GitLab Maintenance Policy, generally you should be able to easily and safely upgrade between patch versions and minor versions within the same major version. HOWEVER, upgrading from a major version to the next major version requires more attention.

The general practice should be to upgrade to the latest available version within your major version. Then proceed to upgrading to the next major version.

For example, when trying to upgrade from 10.7.3 to 11.5.0 - you first need to upgrade to the latest version of 10 which is 10.8.5 and then proceed to upgrading to 11.5.0.

Package Download Locations

All GitLab versions can be located in this package list.

When at 10.7.3

Ubuntu

sudo apt install gitlab-ce=10.8.5-ce.0

RHEL

sudo yum install gitlab-ce-10.8.5-ce.0.el7.x86_64

After the upgrade you might have to run (if GitLab is behaving in a weird way)

sudo gitlab-ctl restart

When at 10.8.5

Ubuntu

sudo apt-install gitlab-ce=11.5.0-ce.0

RHEL

sudo yum install gitlab-ce-11.5.0-ce.0.el7.x86_64

Thanks for your answer !